Đến nội dung


Hình ảnh
- - - - -

giúp explode block = vba


  • Please log in to reply
2 replies to this topic

#1 nguyenthaodang

nguyenthaodang

    biết vẽ line

  • Members
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 May 2010 - 09:32 PM

em có code đoạn sau để khi minh select thất cả các block được insert vào thì sẽ được explode ra nhưng ko hiểu sai sót chỗ nào mong mọi người giúp đỡ

Private Sub CommandButton1_Click()

Dim BlockRef As AcadBlockReference
Dim explodedObjects As Variant

ThisDrawing.Utility.Prompt ("Lua chon toan bo vat the:")

On Error Resume Next
ThisDrawing.SelectionSets.Item("nguyen").Delete
Err.Clear

Set sset6 = ThisDrawing.SelectionSets.Add("nguyen")
frmDraw.Hide

sset6.SelectOnScreen

For Each Entry In sset6
'MsgBox "" & Entry.ObjectName
If Entry.ObjectName = "AcDbBlockReference" Then

BlockRef = Entry
explodedObjects = BlockRef.Explode
explodedObjects.Update
End If
Next

  • 0

#2 hoa35ktxd

hoa35ktxd

    biết lệnh move

  • Members
  • PipPipPip
  • 125 Bài viết
Điểm đánh giá: 38 (tàm tạm)

Đã gửi 08 May 2010 - 10:36 AM

Bạn hãy sửa đoạn này
If Entry.ObjectName = "AcDbBlockReference" Then
Set BlockRef = Entry
BlockRef.Explode
End If

  • 0

#3 nguyenthaodang

nguyenthaodang

    biết vẽ line

  • Members
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 May 2010 - 03:54 PM

cảm ơn bác Hoa35ktxd ^^ đúng là pro nhìn qua biết ngay. ko hiểu sao mấy cái cứ quên set, cứ bắn trực tiêp ^^
  • 0